close @all

'Path to folder containing this program file
cd C:\Users\robbil\RMB\Projects\MGT\code\data\estimate_md

'Create new workfile
workfile mgt q 1934 2020

'Gather data from excel files
smpl 1974 2020
read(b12) MZMOWN.xls MZMOWN

smpl 1959 2020
read(b12) MZMV.xls MZMV

smpl 1934 2020
read(b12) TB3MS.xls TB3MS

'Estimate money demand

smpl 1934 2008
equation md.ls log(1/mzmv) c (tb3ms-mzmown)/400

'Residual fitted with AR(1)
md.makeresids v

equation v_ar1.ls v v(-1)

show md
show v_ar1

'Show scatterplot
smpl 1959 2008

group duo1 (tb3ms-mzmown)/400 log(1/mzmv)

duo1.scat linefit(leg=det)


