% clear all
close all

Y = xlsread('MZM data','MZM data');     
Y = Y(61:240,1:4);        % Y = MZM, MZMV, MZMOWN TB3MS, 1974-2018

t = 1974:0.25:2018.75;
xlinex = 1970:2020;
xliney = zeros(size(xlinex));

%       figure(1)
%         hold on
%             fill([1973.75 1973.75 1975 1975],[-2 14 14 -2],[.9 .9 .9]);
%             fill([1980 1980 1980.5 1980.5],[-2 14 14 -2],[.9 .9 .9]);
%             fill([1981.5 1981.5 1982.75 1982.75],[-2 14 14 -2],[.9 .9 .9]);
%             fill([1990.5 1990.5 1991 1991],[-2 14 14 -2],[.9 .9 .9]);
%             fill([2001 2001 2001.75 2001.75],[-2 14 14 -2],[.9 .9 .9]);
%             fill([2007 2007 2009.5 2009.5],[-2 14 14 -2],[.9 .9 .9]);
%         grid on
%         ha = plot( t,[ log(Y(:,2)) Y(:,4)-Y(:,3) ] );
%             set(ha([1]),'LineWidth',2,{'LineStyle'},{'-'},'Color',[1 0 0])
%             set(ha([2]),'LineWidth',1,{'LineStyle'},{'-'},'Color',[0 0 1])
%             axis([1970 2020 -2 12])
% %          title('Title')
%             line(xlinex,xliney)
%             legend('Velocity','Opportunity cost')
% 
%          print -depsc 'MZM_Fig_1'



      figure(2)
        hold on
        grid on
%             fill([1973.75 1973.75 1975 1975],[-0.2 1.4 1.4 -0.2],[.9 .9 .9]);
%             fill([1980 1980 1980.5 1980.5],[-0.2 1.4 1.4 -0.2],[.9 .9 .9]);
%             fill([1981.5 1981.5 1982.75 1982.75],[-0.2 1.4 1.4 -0.2],[.9 .9 .9]);
%             fill([1990.5 1990.5 1991 1991],[-0.2 1.4 1.4 -0.2],[.9 .9 .9]);
%             fill([2001 2001 2001.75 2001.75],[-0.2 1.4 1.4 -0.2],[.9 .9 .9]);
%             fill([2007 2007 2009.5 2009.5],[-0.2 1.4 1.4 -0.2],[.9 .9 .9]);
        yyaxis left
        ha = plot( t,[ log(Y(:,2)) ] );
            set(ha([1]),'LineWidth',2,{'LineStyle'},{'--'},'Color',[0 0 1])
            axis([1974 2018 -0.2 1.4])
            ylabel('Log ratio')
        yyaxis right
        ha = plot( t,[ Y(:,4)-Y(:,3) ] );
            set(ha([1]),'LineWidth',2,{'LineStyle'},{'-'},'Color',[1 0 0])
            axis([1970 2020 -2 14])
            ylabel('Percent')
            
%          title('Title')
            line(xlinex,xliney)
            legend('Velocity (left)','Opportunity cost (right)')
            
         print -dpsc -bestfit 'fig01'
